#!/bin/bash

trap "echo TRAPed signal" HUP INT QUIT KILL TERM

source /venv/bin/activate

cd /nalodeni/src

python manage.py migrate

python manage.py collectstatic --noinput

python manage.py loaddata nalodeni_interestregion nalodeni_topics nalodeni_skills

PYTHONIOENCODING=utf-8 python manage.py runserver 0.0.0.0:8000

